<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.zksy.info.mapper.EEmployeeMasterMapper">

    <resultMap id="BaseResultMap" type="com.zksy.info.domain.EEmployeeMaster">
            <id property="id" column="id" jdbcType="VARCHAR"/>
            <result property="employeeNo" column="employee_no" jdbcType="VARCHAR"/>
            <result property="fullName" column="full_name" jdbcType="VARCHAR"/>
            <result property="hireDate" column="hire_date" jdbcType="DATE"/>
            <result property="terminationDate" column="termination_date" jdbcType="DATE"/>
            <result property="contactPhone" column="contact_phone" jdbcType="VARCHAR"/>
            <result property="contractNo" column="contract_no" jdbcType="VARCHAR"/>
            <result property="contractType" column="contract_type" jdbcType="VARCHAR"/>
            <result property="contractStartDate" column="contract_start_date" jdbcType="DATE"/>
            <result property="contractEndDate" column="contract_end_date" jdbcType="DATE"/>
            <result property="contractStatus" column="contract_status" jdbcType="OTHER"/>
            <result property="salary" column="salary" jdbcType="DECIMAL"/>
            <result property="createTime" column="create_time" jdbcType="TIMESTAMP"/>
            <result property="updateTime" column="update_time" jdbcType="TIMESTAMP"/>
    </resultMap>

    <sql id="Base_Column_List">
        id,employee_no,full_name,
        hire_date,termination_date,contact_phone,
        contract_no,contract_type,contract_start_date,
        contract_end_date,contract_status,salary,
        create_time,update_time
    </sql>
</mapper>
